#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>

#define min(A,B) ((A)<(B)? (A):(B))
#define max(A,B) ((A)>(B)? (A):(B))
#define NPROPERTIES 4
#define BOARDLENGTH 4
#define BOARDSIZE ((BOARDLENGTH)*(BOARDLENGTH))
#define NPIECEPOS (BOARDSIZE)
#define VALPOS (NPIECEPOS+1)
#define FULLBOARDSIZE (BOARDSIZE+2)
#define NPIECES 16  /* 2^NPROPERTIES */
#define NPROPPOS (NPIECES)
#define NPIECESIZE (NPIECES+2*NPROPERTIES)
#define NPIECE 1  /* how many of a kind? */ 
#define NGAMETYPES 2
#define NLEVELS 6
#define NGEOMETRIES 3
#define INFINITY 100000
#define DELAY 1000000  /* Delay in microseconds, during which computer stops */

long endgame();
int  selpospiece(int piece, int *outpiece, int *outpos);
void addpiece(int piece, int pos);
void removepiece(int piece, int pos);
int boardval();
 
extern int board[FULLBOARDSIZE];
extern int npiece[NPIECESIZE];

extern int pivotpos[BOARDSIZE];
extern int pivotpiece[NPIECES];

extern int geometry;
extern int firstplayer;
extern int gamestatus;
extern int gametype;

enum {QUARTO,TIC};
enum {NORMAL,NODIAGS,TORUS};
enum {SELPIECE,SELPOS,ENDGAME};
enum {HUMAN,COMPUTER,TWOHUMANS,NETWORK1,NETWORK2};
