static String fallback_resources[] = {
  "*posB1.fromHoriz:	posA1",
  "*posC1.fromHoriz:	posB1",
  "*posD1.fromHoriz:	posC1",
  "*posB2.fromHoriz:	posA2",
  "*posC2.fromHoriz:	posB2",
  "*posD2.fromHoriz:	posC2",
  "*posB3.fromHoriz:	posA3",
  "*posC3.fromHoriz:	posB3",
  "*posD3.fromHoriz:	posC3",
  "*posB4.fromHoriz:	posA4",
  "*posC4.fromHoriz:	posB4",
  "*posD4.fromHoriz:	posC4",
  "*posA2.fromVert:	posA1",
  "*posB2.fromVert:	posB1",
  "*posC2.fromVert:	posC1",
  "*posD2.fromVert:	posD1",
  "*posA3.fromVert:	posA2",
  "*posB3.fromVert:	posB2",
  "*posC3.fromVert:	posC2",
  "*posD3.fromVert:	posD2",
  "*posA4.fromVert:	posA3",
  "*posB4.fromVert:	posB3",
  "*posC4.fromVert:	posC3",
  "*posD4.fromVert:	posD3",
  "*piece1.fromHoriz:	piece0",
  "*piece2.fromHoriz:	piece1",
  "*piece3.fromHoriz:	piece2",
  "*piece4.fromHoriz:	piece3",
  "*piece5.fromHoriz:	piece4",
  "*piece6.fromHoriz:	piece5",
  "*piece7.fromHoriz:	piece6",
  "*piece9.fromHoriz:	piece8",
  "*piece10.fromHoriz:	piece9",
  "*piece11.fromHoriz:	piece10",
  "*piece12.fromHoriz:	piece11",
  "*piece13.fromHoriz:	piece12",
  "*piece14.fromHoriz:	piece13",
  "*piece15.fromHoriz:	piece14",
  "*piece8.fromVert:	piece0",
  "*piece9.fromVert:	piece1",
  "*piece10.fromVert:	piece2",
  "*piece11.fromVert:	piece3",
  "*piece12.fromVert:	piece4",
  "*piece13.fromVert:	piece5",
  "*piece14.fromVert:	piece6",
  "*piece15.fromVert:	piece7",
  "xquarto.geometry:	384x326",
  "xquarto.maxHeight:   326",
  "xquarto.minHeight:   326",
  "xquarto.maxWidth:    384",
  "xquarto.minWidth:    384",
  "*background:		grey",
  "*Quit.height:        20",
  "*Quit.background:    grey85",
  "*Help.height:        20",
  "*Help.background:    grey85",
  "*Undo.height:        20",
  "*Undo.background:    grey85",
  "*Hint.height:	20",
  "*Hint.background:    grey85",
  "*Command.width:	40",
  "*Command.height:	40",
  "*Command.background:	white",
  "*Command.highlightThickness:	2",
  "*Command.borderWidth:	1",
  "*menubox.borderWidth:	0",
  "*menubox.width:		180",
  "*MenuButton.background:	grey85",
  "*MenuButton.height:	20",
  "*MenuButton.menu.save.label:	Save game",
  "*MenuButton.menu.load.label:	Load game",
  "*MenuButton.menu.help.label:	Help",
  "*MenuButton.menu.quit.label:	Quit",
  "*MenuButton.menu.new.label:	New game",
  "*MenuButton.menu.human.label: New game: Human starts vs computer",
  "*MenuButton.menu.computer.label: New game: Computer starts vs human",
  "*MenuButton.menu.twohumans.label: New game: Human vs human",
  "*MenuButton.menu.network.label: New game: Network game",
  "*Run.label:            Run",
  "*run.label:            \\ Run\\ ",
  "*Help.label:           Help\\ ",
  "*help.height:          20",
  "*help.background:      grey85",
  "*hint.label:           Hint",
  "*hint.height:          20",
  "*hint.background:      grey85",
  "*undo.label:           Undo",
  "*undo.height:          20",
  "*undo.background:      grey85",
  "*output.borderWidth:    0",
  "*turn.width:		176",
  "*turn.height:		20",
  "*turn*horizDistance:	0",
  "*turn*vertDistance:	0",
  "*turn*background:	white",
  "*message.width:		176",
  "*message.height:		20",
  "*message.fromVert:	turn",
  "*message.horizDistance:	0",
  "*message*background:	white",
  "*outpiece*vertDistance:	49",   
  "*outpiece*horizDistance:	43",   
  "*outpiece*background:	grey",
  "*outpiece.borderWidth:	0",   
  "*outpiece_cmd.borderWidth:	1",   
  "*helpdismiss*label:          Close",
  "*networkdismiss*label:       Close",
  "*networkconnect*label:       Connect",
  "*networksend*label:          Send",
  "*cursorName:	top_left_arrow",
  NULL
};

static char* gametype_name[] = {
    "quarto", "tic"};

static char* gametype_label[] = {
    "  Quarto rules",
    "  Tic rules"};

static char* chosen_gametype_label[] = {
    "x Quarto rules",
    "x Tic rules"};

static char* level_name[] = {
    "level1","level2","level3","level4","level5","level6"};

static char* level_label[] = {
    "  Level: trivial",
    "  Level: easy",
    "  Level: medium",
    "  Level: hard",
    "  Level: very hard",
    "  Level: don't try"};

static char* chosen_level_label[] = {
    "x Level: trivial",
    "x Level: easy",
    "x Level: medium",
    "x Level: hard",
    "x Level: very hard",
    "x Level: don't try"};

static char* geometry_label[] = {
    "  Geometry: Normal",
    "  Geometry: Nodiags",
    "  Geometry: Torus"};

static char* chosen_geometry_label[] = {
    "x Geometry: Normal",
    "x Geometry: Nodiags",
    "x Geometry: Torus"};

static char* messages[] = {
    "",                          /*  0 */
    "Your turn.",                /*  1 */
    "Player 1's turn.",          /*  2 */
    "Player 2's turn.",          /*  3 */
    "Select a piece.",           /*  4 */
    "Select a free piece.",      /*  5 */
    "Select a position.",        /*  6 */
    "Select a free position.",   /*  7 */
    "Computer thinking...",      /*  8 */
    "You win!",                  /*  9 */
    "Computer wins!",            /* 10 */
    "Player 1 wins!",            /* 11 */
    "Player 2 wins!",            /* 12 */
    "Draw!",                     /* 13 */
    "Just click to start...",    /* 14 */
    "Player 2 has left.",        /* 15 */
    "Can't load network game!",  /* 16 */
    "Not a network game!",       /* 17 */
    ">> From Player",            /* 18 */
    "Connection to  %s  successful.\n"
    "You are \"Player 1\".\n"
    "Both players can start the game... Do you start?\n\n",     /* 19 */
    "You are invited to play quarto by  %s  (Player 1).\n"
    "You will be named hereafter \"Player 2\".\n"
    "Both players can start the game...\n\n",      /* 20 */
  };

static char main_title[] = "xquarto";
static char main_title2[] = "xquarto (player 2)";
static char help_title[] = "Xquarto: rules";
static char alert_title[] = "Xquarto: alert";
static char network_title[] = "Xquarto: network popup";
static char network_title2[] = "Xquarto: network popup (player 2)";
static char network_connect[] = "Connect to:";
static char network_msg[] = "Message:";
static char network_send[] = "Send";

static char help_string[] = "\
 *** XQUARTO version 2.5 - July 2000 ***\n\
\n\
 Description: \n\
 ------------ \n\
\n\
 Xquarto  is  a  two-player  board  game designed  for  the  X  windows\n\
 environment. The board is composed  of 4x4 squares and 16 pieces. Each\n\
 piece  has four properties:  black or  brown, horizontal  or vertical,\n\
 solid  or  hollow,  round  or  square.   This  makes  up  16  possible\n\
 combinations and there is exactly one piece for each possibility.\n\
\n\
 Initially, the  board is  empty and it    is successively filled  with\n\
 pieces. The game is over  when a row, a  column or a diagonal has four\n\
 pieces  carrying a  common property   in it, e.g.  four black  (brown)\n\
 pieces, four square (round) pieces,  four solid  (hollow) pieces, four\n\
 horizontal (vertical) pieces. In the original quarto rules, the player\n\
 who is the  first to complete a row,  column or  diagonal as described\n\
 above wins.  This is  the implicit mode   under which xquarto  runs. A\n\
 variant   of   the game  (tic   rules)  consists   rather of  avoiding\n\
 alignments, i.e.  the player who  is forced  to complete an  alignment\n\
 loses. \n\
\n\
 The  game  is a  two-player  game.  Player 1  chooses  one  of the  16\n\
 pieces. Player  2 then places this piece  on one of the  16 squares of\n\
 the board and chooses a piece  out of the remaining 15 pieces which he\n\
 gives to  player 1, who places this  piece on one of  the remaining 15\n\
 squares on the board, etc...\n\
\n\
 Xquarto  supports  three   different  player  combinations:  human  vs\n\
 computer, computer vs  human and human vs human  (possibly through the\n\
 local network in the latter case). The default combination is human vs\n\
 computer,  i.e.   the  human  player  starts  the   game  against  the\n\
 computer. This can  be changed by clicking on  the 'Actions' menu. The\n\
 'Options' menu  sets either the  type of  rules (Quarto or  Tic),  the\n\
 level and the geometry type (normal, no diagonals, torus).\n\
\n\
 The rules are really very simple - believe me!\n\
\n\
 Mattias Jonsson\n\
 mjo@math.kth.se\n\
";

static char *alert[] = {
  "Xquarto alert",
  "\n Cannot open savefile \"%s\" for writing!%s",
  "\n Cannot open savefile \"%s\" for reading!%s",
  "\n Check permissions in your home directory...",
  "Cannot open display %s"
};
